
package de.ivu.elect.presentation.kandidatur.table;

import de.ivu.elect.business.kandidatur.entity.Kandidatur;
import de.ivu.elect.business.person.entity.PersonendatenConstants;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class KandidaturGewaehltKandidaturFamiliennameBestandteilColumn extends AbstractKandidaturGewaehltKandidaturColumn {

  private static final long serialVersionUID = 1L;

  public KandidaturGewaehltKandidaturFamiliennameBestandteilColumn(Messages messages) {
    super(messages);
  }

  @Override
  public ColumnType getType() {
    return ColumnType.STRING;
  }

  @Override
  public String getHeader() {
    return getMessage(PersonendatenConstants.MESSAGE_KEY_NAMENSBESTANDTEILE_EINZAHL);
  }

  @Override
  public Object getValue(Kandidatur kandidatur) {
    return kandidatur.getFamiliennameBestandteil();
  }
}
